Vulnerabilities (CVE)

Filtered by vendor Mediaarea Subscribe
Total 5 CVE
CVE Vendors Products Updated CVSS v2 CVSS v3
CVE-2020-36646 1 Mediaarea 1 Zenlib 2024-02-29 2.3 LOW 7.5 HIGH
A vulnerability classified as problematic has been found in MediaArea ZenLib up to 0.4.38. This affects the function Ztring::Date_From_Seconds_1970_Local of the file Source/ZenLib/Ztring.cpp. The manipulation of the argument Value leads to unchecked return value to null pointer dereference. Upgrading to version 0.4.39 is able to address this issue. The identifier of the patch is 6475fcccd37c9cf17e0cfe263b5fe0e2e47a8408. It is recommended to upgrade the affected component. The identifier VDB-217629 was assigned to this vulnerability.
CVE-2020-26797 2 Fedoraproject, Mediaarea 2 Fedora, Mediainfo 2024-02-28 5.0 MEDIUM 7.5 HIGH
Mediainfo before version 20.08 has a heap buffer overflow vulnerability via MediaInfoLib::File_Gxf::ChooseParser_ChannelGrouping.
CVE-2020-15395 2 Fedoraproject, Mediaarea 2 Fedora, Mediainfo 2024-02-28 6.8 MEDIUM 7.8 HIGH
In MediaInfoLib in MediaArea MediaInfo 20.03, there is a stack-based buffer over-read in Streams_Fill_PerStream in Multiple/File_MpegPs.cpp (aka an off-by-one during MpegPs parsing).
CVE-2019-11372 2 Fedoraproject, Mediaarea 2 Fedora, Mediainfo 2024-02-28 4.3 MEDIUM 6.5 MEDIUM
An out-of-bounds read in MediaInfoLib::File__Tags_Helper::Synched_Test in Tag/File__Tags.cpp in MediaInfoLib in MediaArea MediaInfo 18.12 leads to a crash.
CVE-2019-11373 2 Fedoraproject, Mediaarea 2 Fedora, Mediainfo 2024-02-28 4.3 MEDIUM 6.5 MEDIUM
An out-of-bounds read in File__Analyze::Get_L8 in File__Analyze_Buffer.cpp in MediaInfoLib in MediaArea MediaInfo 18.12 leads to a crash.